kadmind: Cannot set GSSAPI authentication names, aborting

classic Classic list List threaded Threaded
4 messages Options
Reply | Threaded
Open this post in threaded view
|

kadmind: Cannot set GSSAPI authentication names, aborting

Yegui Cai
Hi all.

I ran into an issue when I tried to run kadmind. The version of KDC is
1.16.3.
I did have kadmin/admin and kadmin/changepw in my realm.

I did some google search. Some old posts are suggesting the existence of
kadm5.keytab. I guess it is outdated? Do I still need to have kadm.keytab?
Or any idea on what is going on?

Thanks a lot!
Yegui Cai
________________________________________________
Kerberos mailing list           [hidden email]
https://mailman.mit.edu/mailman/listinfo/kerberos
Reply | Threaded
Open this post in threaded view
|

Re: kadmind: Cannot set GSSAPI authentication names, aborting

Yegui Cai
I figured out it by using strace. It turned out to be a directory was
missing. The error message is really confusing.

On Thu, Jan 24, 2019 at 12:05 PM Yegui Cai <[hidden email]> wrote:

> Hi all.
>
> I ran into an issue when I tried to run kadmind. The version of KDC is
> 1.16.3.
> I did have kadmin/admin and kadmin/changepw in my realm.
>
> I did some google search. Some old posts are suggesting the existence of
> kadm5.keytab. I guess it is outdated? Do I still need to have kadm.keytab?
> Or any idea on what is going on?
>
> Thanks a lot!
> Yegui Cai
>
________________________________________________
Kerberos mailing list           [hidden email]
https://mailman.mit.edu/mailman/listinfo/kerberos
Reply | Threaded
Open this post in threaded view
|

Re: kadmind: Cannot set GSSAPI authentication names, aborting

Robbie Harwood
Yegui Cai <[hidden email]> writes:

> On Thu, Jan 24, 2019 at 12:05 PM Yegui Cai <[hidden email]> wrote:
>
>> I ran into an issue when I tried to run kadmind. The version of KDC
>> is 1.16.3.  I did have kadmin/admin and kadmin/changepw in my realm.
>>
>> I did some google search. Some old posts are suggesting the existence
>> of kadm5.keytab. I guess it is outdated? Do I still need to have
>> kadm.keytab?  Or any idea on what is going on?
>
> I figured out it by using strace. It turned out to be a directory was
> missing. The error message is really confusing.
Can you give more information on what the problem ended up being?  Maybe
there's a deeper issue, or something we can do to clarify the error
message.  You never know.

Thanks,
--Robbie

________________________________________________
Kerberos mailing list           [hidden email]
https://mailman.mit.edu/mailman/listinfo/kerberos

signature.asc (847 bytes) Download Attachment
Reply | Threaded
Open this post in threaded view
|

Re: kadmind: Cannot set GSSAPI authentication names, aborting

Yegui Cai
Sure!
I built 1.16.3 under a non-default directory and configure ccache in a
subdirectory. But I did not create that ccache directory. So a misleading
error message was generated.

On Fri, Jan 25, 2019 at 1:40 PM Robbie Harwood <[hidden email]> wrote:

> Yegui Cai <[hidden email]> writes:
>
> > On Thu, Jan 24, 2019 at 12:05 PM Yegui Cai <[hidden email]> wrote:
> >
> >> I ran into an issue when I tried to run kadmind. The version of KDC
> >> is 1.16.3.  I did have kadmin/admin and kadmin/changepw in my realm.
> >>
> >> I did some google search. Some old posts are suggesting the existence
> >> of kadm5.keytab. I guess it is outdated? Do I still need to have
> >> kadm.keytab?  Or any idea on what is going on?
> >
> > I figured out it by using strace. It turned out to be a directory was
> > missing. The error message is really confusing.
>
> Can you give more information on what the problem ended up being?  Maybe
> there's a deeper issue, or something we can do to clarify the error
> message.  You never know.
>
> Thanks,
> --Robbie
>
________________________________________________
Kerberos mailing list           [hidden email]
https://mailman.mit.edu/mailman/listinfo/kerberos